Skip to main content
GET
/
conferences
/
{conference_id}
/
participants
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const conferenceListParticipantsResponse of client.conferences.listParticipants(
  'conference_id',
)) {
  console.log(conferenceListParticipantsResponse.id);
}
{ "data": [ { "record_type": "participant", "created_at": "2019-01-23T18:10:02.574Z", "updated_at": "2019-01-23T18:10:02.574Z", "end_conference_on_exit": true, "soft_end_conference_on_exit": true, "status": "joining", "muted": false, "on_hold": true, "call_control_id": "v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg", "whisper_call_control_ids": [ "v2:Sg1xxxQ_U3ixxxyXT_VDNI3xxxazZdg6Vxxxs4-GNYxxxVaJPOhFMRQ", "v2:qqpb0mmvd-ovhhBr0BUQQn0fld5jIboaaX3-De0DkqXHzbf8d75xkw" ], "id": "dfadada7-af74-47bc-83a4-554275f55f5c", "call_leg_id": "3a15df2d-c801-4729-adf5-b56dd42e2abb", "conference": { "id": "41b9acd4-f4da-4ff5-a85c-e07e90b53f46", "name": "1" } } ], "meta": { "total_pages": 3, "total_results": 55, "page_number": 2, "page_size": 25 } }

Documentation Index

Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conference_id
string
required

Uniquely identifies the conference by id

Query Parameters

region
enum<string>

Region where the conference data is located

Available options:
Australia,
Europe,
Middle East,
US
page
object

Consolidated page parameter (deepObject style). Originally: page[after], page[before], page[limit], page[size], page[number]

filter
object

Consolidated filter parameter (deepObject style). Originally: filter[muted], filter[on_hold], filter[whispering]

Response

Successful response with a list of conference participants.

data
Participant · object[]
meta
object